<?php
declare(strict_types=1);

namespace Inti\Db;

/**
 * Class ConfigProvider
 *
 * @package Inti\Db
 * @author Danijel Fabijan <hipnaba@gmail.com>
 * @link https://bitbucket.org/oktan-nautika/inti-db
 */
final class ConfigProvider
{
    /**
     * @return array
     */
    public function __invoke(): array
    {
        return [
            'db_connections' => [
                'default' => [
                    'driver' => 'pdo_mysql',
                    'charset' => 'utf8mb4',
                    'host' => 'localhost',
                    'user' => '',
                    'password' => '',
                    'dbname' => '',
                ],
            ],

            'dependencies' => [
                'aliases' => [

                ],

                'factories' => [
                    Connection\ConnectionManager::class => Connection\ConnectionManagerFactory::class,
                ],
            ],
        ];
    }

    /**
     * @return array
     */
    public function getDependencies(): array
    {
        return [
            'factories' => [
                Connection\ConnectionManager::class => Connection\ConnectionManagerFactory::class,
            ],
        ];
    }
}
