<?php
/** @noinspection PhpMissingFieldTypeInspection */
declare(strict_types=1);

namespace Inti\Db\Connection;

use Doctrine\DBAL\Connection;
use Laminas\ServiceManager\AbstractPluginManager;
use Laminas\ServiceManager\ServiceManager;

/**
 * Class ConnectionPluginManager
 *
 * @package Inti\Db\Connection
 * @author Danijel Fabijan <hipnaba@gmail.com>
 * @link https://bitbucket.org/oktan-nautika/inti-db
 *
 * @method Connection get(string $name)
 */
final class ConnectionManager extends AbstractPluginManager
{
    /** @var string */
    protected $instanceOf = Connection::class;

    /**
     * ConnectionManager constructor.
     * @param ServiceManager|null $container
     * @param array $connectionConfigs
     */
    public function __construct($container = null, array $connectionConfigs = [])
    {
        foreach ($connectionConfigs as $name => $options) {
            $config['factories'][$name] = ConnectionFactory::class;
        }

        parent::__construct($container, $config ?? []);
    }
}
