<?php
declare(strict_types=1);

namespace Inti\Db\Connection;

use Psr\Container\ContainerInterface;

/**
 * Class ConnectionManagerFactory
 *
 * @package Inti\Db\Connection
 * @author Danijel Fabijan <hipnaba@gmail.com>
 * @link https://bitbucket.org/oktan-nautika/inti-db
 */
final class ConnectionManagerFactory
{
    /**
     * @param ContainerInterface $container
     * @return ConnectionManager
     */
    public function __invoke(ContainerInterface $container): ConnectionManager
    {
        $config = $container->has('config') ? $container->get('config') : [];
        return new ConnectionManager($container, $config['db_connections'] ?? []);
    }
}
